AutoLoadWood_register = {}

function AutoLoadWood_register:loadMap()
	if AutoLoadWood2.texts == nil then
		AutoLoadWood2.texts = {}
	end
	for _,n in pairs( { "AUTOLOADWOOD2_START_AUTOLOAD", "AUTOLOADWOOD2_STOP_AUTOLOAD", "AUTOLOADWOOD2_START_UNLOAD", "AUTOLOADWOOD2_STOP_UNLOAD", "AUTOLOADWOOD2_SWITCH_RIGHT", "AUTOLOADWOOD2_SWITCH_LEFT", "AUTOLOADWOOD2_SHOW_LOAD_MARKER",
						"AUTOLOADWOOD2_HIDE_LOAD_MARKER", "AUTOLOADWOOD2_SHOW_UNLOAD_MARKER", "AUTOLOADWOOD2_HIDE_UNLOAD_MARKER", "input_AUTOLOADWOOD2_TOGGLE_PILES", "input_AUTOLOADWOOD2_SWITCH_PILE", "input_AUTOLOADWOOD2_UNLOAD_MARKER_MOVE",
						"input_AUTOLOADWOOD2_UNLOAD_MARKER_SCALE", "input_AUTOLOADWOOD2_UNLOAD_MARKER_ROTATE", "AUTOLOADWOOD2_SHOW_POSITION", "AUTOLOADWOOD2_HIDE_POSITION", "AUTOLOADWOOD2_SHOW_HELP", "AUTOLOADWOOD2_HIDE_HELP" } ) do
		AutoLoadWood2.texts[n] = g_i18n:getText(n);
	end
end

if g_specializationManager:getSpecializationByName("autoLoadWood2") == nil then
	g_specializationManager.addSpecialization('autoLoadWood2', 'autoLoadWood2', 'AutoLoadWood2',  Utils.getFilename("Script/autoLoadWood.lua", g_currentModDirectory))
	print("----AutoLoadWood2 registered.")
else
	print("----AutoLoadWood2 already exists.")
	
end

addModEventListener(AutoLoadWood_register);